Bug 1012520 - qt-creator shouldn't depend on specific qt development package
qt-creator shouldn't depend on specific qt development package
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 11:09 EDT by Ozgur M. Homurlu
Modified: 2015-02-17 12:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:21:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ozgur M. Homurlu 2013-09-26 11:09:39 EDT
Description of problem:
qt-creator package depends on qt-devel which is the Qt 4.8 development package. For Qt 5 development qt-creator should be used but this dependency to qt-devel installs unwanted packages.

Version-Release number of selected component (if applicable):
qt-creator-2.8.0-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install qt-creator package


Actual results:
It tries to install qt-devel package as a dependency.

Expected results:
Since qt-creator package can be used for both qt4 and qt5 development, it shouldn't depend on any specific qt versions or a qt5-creator package is needed.

Additional info:
Comment 1 Jaroslav Reznik 2013-10-25 10:31:13 EDT
I'm trying to switch qt-creator to build Qt 5 version by default - Qt 4 version is missing a few features - so now it makes sense to get rid of this dependency on Qt 4 devel and let developer to set up it's preferred environment. Local Qt 4/Qt 5, other kits using redistributed Qt etc.

I'll make this change (for F20+) once I'll be happy with Qt Creator SPEC on top of Qt 5. There are still some blockers, not sure we want to fix all of them (Oxygen theming for example).
Comment 2 Fedora End Of Life 2015-01-09 14:59:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:21:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.